
/* Python wrapper functions auto-generated by pidl */
#define PY_SSIZE_T_CLEAN 1 /* We use Py_ssize_t for PyArg_ParseTupleAndKeywords */
#include <Python.h>
#include "python/py3compat.h"
#include "includes.h"
#include <pytalloc.h>
#include "librpc/rpc/pyrpc.h"
#include "librpc/rpc/pyrpc_util.h"
#include "bin/default/librpc/gen_ndr/ndr_windows_event_ids.h"
#include "bin/default/librpc/gen_ndr/ndr_windows_event_ids_c.h"

/*
 * These functions are here to ensure they can be optimized out by
 * the compiler based on the constant input values
 */

static inline unsigned long long ndr_sizeof2uintmax(size_t var_size)
{
	switch (var_size) {
	case 8:
		return UINT64_MAX;
	case 4:
		return UINT32_MAX;
	case 2:
		return UINT16_MAX;
	case 1:
		return UINT8_MAX;
	}

	return 0;
}

static inline long long ndr_sizeof2intmax(size_t var_size)
{
	switch (var_size) {
	case 8:
		return INT64_MAX;
	case 4:
		return INT32_MAX;
	case 2:
		return INT16_MAX;
	case 1:
		return INT8_MAX;
	}

	return 0;
}

static inline PyObject *ndr_PyLong_FromLongLong(long long v)
{
	if (v > LONG_MAX || v < LONG_MIN) {
		return PyLong_FromLongLong(v);
	} else {
		return PyInt_FromLong(v);
	}
}

static inline PyObject *ndr_PyLong_FromUnsignedLongLong(unsigned long long v)
{
	if (v > LONG_MAX) {
		return PyLong_FromUnsignedLongLong(v);
	} else {
		return PyInt_FromLong(v);
	}
}


static PyMethodDef windows_event_ids_methods[] = {
	{ NULL, NULL, 0, NULL }
};

static struct PyModuleDef moduledef = {
	PyModuleDef_HEAD_INIT,
	.m_name = "windows_event_ids",
	.m_doc = "windows_event_ids DCE/RPC",
	.m_size = -1,
	.m_methods = windows_event_ids_methods,
};
MODULE_INIT_FUNC(windows_event_ids)
{
	PyObject *m;


	m = PyModule_Create(&moduledef);
	if (m == NULL)
		return NULL;

	PyModule_AddObject(m, "EVT_ID_NONE", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_NONE));
	PyModule_AddObject(m, "EVT_ID_SUCCESSFUL_LOGON", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_SUCCESSFUL_LOGON));
	PyModule_AddObject(m, "EVT_ID_UNSUCCESSFUL_LOGON", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_UNSUCCESSFUL_LOGON));
	PyModule_AddObject(m, "EVT_ID_PASSWORD_CHANGE", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_PASSWORD_CHANGE));
	PyModule_AddObject(m, "EVT_ID_PASSWORD_RESET", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_PASSWORD_RESET));
	PyModule_AddObject(m, "EVT_ID_USER_ADDED_TO_GLOBAL_SEC_GROUP", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_USER_ADDED_TO_GLOBAL_SEC_GROUP));
	PyModule_AddObject(m, "EVT_ID_USER_REMOVED_FROM_GLOBAL_SEC_GROUP", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_USER_REMOVED_FROM_GLOBAL_SEC_GROUP));
	PyModule_AddObject(m, "EVT_ID_USER_ADDED_TO_LOCAL_SEC_GROUP", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_USER_ADDED_TO_LOCAL_SEC_GROUP));
	PyModule_AddObject(m, "EVT_ID_USER_REMOVED_FROM_LOCAL_SEC_GROUP", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_USER_REMOVED_FROM_LOCAL_SEC_GROUP));
	PyModule_AddObject(m, "EVT_ID_USER_ADDED_TO_LOCAL_GROUP", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_USER_ADDED_TO_LOCAL_GROUP));
	PyModule_AddObject(m, "EVT_ID_USER_REMOVED_FROM_LOCAL_GROUP", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_USER_REMOVED_FROM_LOCAL_GROUP));
	PyModule_AddObject(m, "EVT_ID_USER_ADDED_TO_GLOBAL_GROUP", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_USER_ADDED_TO_GLOBAL_GROUP));
	PyModule_AddObject(m, "EVT_ID_USER_REMOVED_FROM_GLOBAL_GROUP", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_USER_REMOVED_FROM_GLOBAL_GROUP));
	PyModule_AddObject(m, "EVT_ID_USER_ADDED_TO_UNIVERSAL_SEC_GROUP", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_USER_ADDED_TO_UNIVERSAL_SEC_GROUP));
	PyModule_AddObject(m, "EVT_ID_USER_REMOVED_FROM_UNIVERSAL_SEC_GROUP", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_USER_REMOVED_FROM_UNIVERSAL_SEC_GROUP));
	PyModule_AddObject(m, "EVT_ID_USER_ADDED_TO_UNIVERSAL_GROUP", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_USER_ADDED_TO_UNIVERSAL_GROUP));
	PyModule_AddObject(m, "EVT_ID_USER_REMOVED_FROM_UNIVERSAL_GROUP", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_ID_USER_REMOVED_FROM_UNIVERSAL_GROUP));
	PyModule_AddObject(m, "EVT_LOGON_INTERACTIVE", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_LOGON_INTERACTIVE));
	PyModule_AddObject(m, "EVT_LOGON_NETWORK", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_LOGON_NETWORK));
	PyModule_AddObject(m, "EVT_LOGON_BATCH", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_LOGON_BATCH));
	PyModule_AddObject(m, "EVT_LOGON_SERVICE", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_LOGON_SERVICE));
	PyModule_AddObject(m, "EVT_LOGON_UNLOCK", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_LOGON_UNLOCK));
	PyModule_AddObject(m, "EVT_LOGON_NETWORK_CLEAR_TEXT", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_LOGON_NETWORK_CLEAR_TEXT));
	PyModule_AddObject(m, "EVT_LOGON_NEW_CREDENTIALS", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_LOGON_NEW_CREDENTIALS));
	PyModule_AddObject(m, "EVT_LOGON_REMOTE_INTERACTIVE", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_LOGON_REMOTE_INTERACTIVE));
	PyModule_AddObject(m, "EVT_LOGON_CACHED_INTERACTIVE", ndr_PyLong_FromUnsignedLongLong((uint32_t)EVT_LOGON_CACHED_INTERACTIVE));
#ifdef PY_MOD_WINDOWS_EVENT_IDS_PATCH
	PY_MOD_WINDOWS_EVENT_IDS_PATCH(m);
#endif
	return m;

}
